Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overwidth Permit# 2021-02414, UID# 3074
App. Status: Expired

Valid: 07/06/2021 - 07/09/2021
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2780 (07/02/2021)

Charge Cost Quantity Total
Non-Taxable
added 07/02/2021 8:24 AM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 07/02/2021 8:24 AM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $60.00
Payment 07/02/2021$60.00
Due$0.00
Action: Print  

Invoice #2782 (07/06/2021)

Charge Cost Quantity Total
Non-Taxable
added 07/06/2021 10:44 AM

For movement on Plant Road

$100.00 x 1 $100.00
Grand Total
Total $100.00
Payment 07/06/2021$100.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantLance W. Hjelmen - 07/02/2021 8:24 AM
0ab6c5843a34a614cfdab1ad69f0bb56
4861770e9d4cc809617957fcda732d94
 
#1 Permit Issuing OfficialRachel Grimm - 07/06/2021 10:45 AM
3b1dade05a6640f1d505ea11e4e7c8de
9ea9129bad1164ffc021389c0784bf89
 
Permit has been approved. All signatures have been obtained.